FindDialog Class Reference

Find dialog. More...

`#include <FindDialog.h>`

Inheritance diagram for FindDialog:

## Public Slots

void | setStartPath ()
| Displays the project current folder path. More...

## Public Member Functions

| FindDialog (QWidget *parent=0, Qt::WFlags fl=0)
| ~FindDialog ()

## Protected Slots

void | accept ()

## Private Attributes

QCheckBox * | boxCaseSensitive
QComboBox * | boxFind
QCheckBox * | boxFolderNames
QCheckBox * | boxPartialMatch
QCheckBox * | boxSubfolders
QCheckBox * | boxWindowLabels
QCheckBox * | boxWindowNames
QPushButton * | buttonCancel
QPushButton * | buttonFind
QPushButton * | buttonReset
QLabel * | labelStart

## Detailed Description

Find dialog.

## Constructor & Destructor Documentation

## FindDialog()

FindDialog::FindDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxCaseSensitive, boxFind, boxFolderNames, boxPartialMatch, boxSubfolders, boxWindowLabels, boxWindowNames, buttonCancel, buttonFind, buttonReset, labelStart, and setStartPath().

## ~FindDialog()

FindDialog::~FindDialog | ( |  | ) |

## Member Function Documentation

## accept

void FindDialog::accept | ( |  | ) |

protected slot

References boxCaseSensitive, boxFind, boxFolderNames, boxPartialMatch, boxSubfolders, boxWindowLabels, boxWindowNames, and ApplicationWindow::find().

Referenced by FindDialog().

## setStartPath

void FindDialog::setStartPath | ( |  | ) |

slot

Displays the project current folder path.

References ApplicationWindow::current_folder, labelStart, and Folder::path().

Referenced by FindDialog().

## Member Data Documentation

## boxCaseSensitive

QCheckBox* FindDialog::boxCaseSensitive

private

Referenced by accept(), and FindDialog().

## boxFind

QComboBox* FindDialog::boxFind

private

Referenced by accept(), and FindDialog().

## boxFolderNames

QCheckBox* FindDialog::boxFolderNames

private

Referenced by accept(), and FindDialog().

## boxPartialMatch

QCheckBox* FindDialog::boxPartialMatch

private

Referenced by accept(), and FindDialog().

## boxSubfolders

QCheckBox* FindDialog::boxSubfolders

private

Referenced by accept(), and FindDialog().

## boxWindowLabels

QCheckBox* FindDialog::boxWindowLabels

private

Referenced by accept(), and FindDialog().

## boxWindowNames

QCheckBox* FindDialog::boxWindowNames

private

Referenced by accept(), and FindDialog().

## buttonCancel

QPushButton* FindDialog::buttonCancel

private

Referenced by FindDialog().

## buttonFind

QPushButton* FindDialog::buttonFind

private

Referenced by FindDialog().

## buttonReset

QPushButton* FindDialog::buttonReset

private

Referenced by FindDialog().

## labelStart

QLabel* FindDialog::labelStart

private

Referenced by FindDialog(), and setStartPath().

The documentation for this class was generated from the following files:

- qtiplot/src/core/FindDialog.h
- qtiplot/src/core/FindDialog.cpp